Bug 215677 - [java/openjfx8-devel] [PATCH] fix build with Gradle 3.2.1
Summary: [java/openjfx8-devel] [PATCH] fix build with Gradle 3.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alan Somers
URL: https://reviews.freebsd.org/D9005
Keywords: patch
Depends on:
Blocks: 214935
  Show dependency treegraph
 
Reported: 2016-12-30 22:29 UTC by Alan Somers
Modified: 2017-01-04 16:01 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2016-12-30 22:29:54 UTC
openjfx8-devel fails to build with Gradle 3.2.1.  The problem seems to be a missing dependency on junit in the Makefile, and a missing dependency on hamcrest in build.gradle.  I don't know why it ever worked before.  Perhaps Gradle 2.12 didn't run tests?

Note that Gradle 3.2.1 is not yet in the ports tree.  I'm working on that as part of PR 214935
Comment 1 Tobias Kortkamp freebsd_committer 2017-01-01 10:58:54 UTC
(In reply to Alan Somers from comment #0)
LGTM.

While you're at it can you please also reset maintainership back to
ports@FreeBSD.org?

The port needs an update, the run dependencies are probably over
specified, the FreeBSD-specific patches need to be upstreamed, and
recent upstream changes need to be merged in.  All of this is more
work than I want to put in at the moment.

Thanks :)
Comment 2 commit-hook freebsd_committer 2017-01-04 15:55:10 UTC
A commit references this bug:

Author: asomers
Date: Wed Jan  4 15:54:29 UTC 2017
New revision: 430571
URL: https://svnweb.freebsd.org/changeset/ports/430571

Log:
  java/openjfx8-devel fix build with Gradle 3.2.1

  Add a missing build dependency on junit to the Makefile, and fix the
  path to Hamcrest in build.gradle.  Also, reset MAINTAINER by request of
  the current maintainer.

  PR:		215677
  Reviewed by:	brd, Tobias Kortkamp
  Approved by:	brd (ports)
  Sponsored by:	Spectra Logic Corp
  Differential Revision:	https://reviews.freebsd.org/D9005

Changes:
  head/java/openjfx8-devel/Makefile
  head/java/openjfx8-devel/files/patch-build.gradle
  head/java/openjfx8-devel/files/patch-buildSrc_build.gradle